%define upstream_name    Furl
%define upstream_version 0.38

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Response object for Furl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(HTTP::Parser::XS) >= 0.110.0
BuildRequires: perl(HTTP::Proxy)
BuildRequires: perl(IO::Callback)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(Net::DNS::Lite)
BuildRequires: perl(Net::IDN::Encode)
BuildRequires: perl(Plack)
BuildRequires: perl(Plack::Middleware::Deflater)
BuildRequires: perl(Starlet)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::TCP) >= 1.60.0
BuildArch:  noarch

%description
Furl is yet another HTTP client library. LWP is the de facto standard HTTP
client for Perl5, but it is too slow for some critical jobs, and too
complex for weekend hacking. Furl resolves these issues. Enjoy it!

This library is an *beta* software. Any API may change without notice.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml TODO example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Fri Oct 14 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 154771
- update to 0.38
- update to 0.37
- update to 0.35
- update to 0.34

* Thu Jun 30 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 116642
- imported package perl-Furl


* Thu Jun 30 2011 cpan2dist 0.32-1mga
- initial mageia release, generated with cpan2dist
